Package com.trilead.ssh2.packets

## Class PacketUserauthRequestNone

- java.lang.Object
- - com.trilead.ssh2.packets.PacketUserauthRequestNone

    public class PacketUserauthRequestNone
    extends java.lang.Object

PacketUserauthRequestPassword.

### Constructor Summary

Constructors
`PacketUserauthRequestNone​(byte[] payload, int off, int len)`
`PacketUserauthRequestNone​(java.lang.String serviceName, java.lang.String user)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketUserauthRequestNone

    public PacketUserauthRequestNone​(java.lang.String serviceName,
                                     java.lang.String user)

#### PacketUserauthRequestNone

    public PacketUserauthRequestNone​(byte[] payload,
                                     int off,
                                     int len)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getPayload

    public byte[] getPayload()